/**
 * Code Connect — Split Button / Split Button [Desktop]
 * Figma 文件：0zsTetwqRuSKJRsyJJXcjg
 * 节点：2655:10357
 */

import figma from '@figma/code-connect';
import { SplitButton } from './src/components/SplitButton/SplitButton';

figma.connect(SplitButton, 'figma://file/0zsTetwqRuSKJRsyJJXcjg?node-id=2655:10357', {
  props: {
    color: figma.enum('Color', {
      Clear: 'clear',
      Gray:  'gray',
    }),
    icon: figma.instance('Content Slot'),
  },
  example: ({ color, icon }) => (
    <SplitButton
      color={color}
      variant="default"
      icon={icon}
    />
  ),
});
